Frage sudo apt-get --install-suggeriert Installation von git fails [duplicate]


Diese Frage hat hier bereits eine Antwort:

Wenn ich versuche, git zusammen mit den vorgeschlagenen Paketen zu installieren, erhalte ich Fehler, die anzeigen, dass git-daemon-run und runit nicht richtig installiert wurden. Nachschlagen der Fehlermeldungen führt mich zu https://bugs.launchpad.net/ubuntu/+source/runit/+bug/1448164 .

Dieser Fehler-Thread scheint jedoch keine sehr guten Lösungen oder Problemumgehungen zu bieten.

Beachten Sie, dass ich ursprünglich auf Ubuntu 15.10 unter VirtualBox lief. Ich glaube jedoch, dass 15.04 und 16.04 LTS ebenfalls betroffen sind.


1
2017-07-09 16:09


Ursprung




Antworten:


Installiere zuerst git-daemon-sysvinit:

sudo apt-get install git-daemon-sysvinit

Wenn Sie sich die Paketeigenschaften in Synaptic ansehen, werden Sie sehen, dass git-daemon-sysvinit anstelle von git-daemon-run verwendet werden kann. Und im Gegensatz zu letzterem funktioniert git-daemon-sysvinit tatsächlich auf Ubuntu 15.04 und höher.

Sobald Sie Git-Daemon-Sysvinit installiert haben, können Sie ausführen

sudo apt-get --install-suggests install git

Wenn du möchtest. Beachten Sie jedoch, dass Sie möglicherweise einige dieser vorgeschlagenen Pakete nicht benötigen. Und git selbst wird automatisch installiert, wenn Sie git-daemon-sysvinit installieren.


1
2017-07-09 16:09